
%define major 0

%define libname_devel %mklibname %{name} -d
%define libname %mklibname %{name} %{major}


Summary:	Wayland Compositor Infrastructure
Name:		wayland
Version:	1.16.0
Release:	%mkrel 1
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://wayland.freedesktop.org/
#-----------------------------------------------
BuildRequires:	expat-devel
BuildRequires:	%{_lib}ffi-devel
BuildRequires:	xsltproc docbook-style-xsl
BuildRequires:	doxygen
#----------------------------------------------


%description
Wayland is a protocol for a compositor to talk to its clients as well
as a C library implementation of that protocol. The compositor can be
a standalone display server running on Linux kernel modesetting and
evdev input devices, an X application, or a wayland client itself. The
clients can be traditional applications, X servers (rootless or
fullscreen) or other display servers.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}


%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{name}-tools = %{version}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package tools
Summary: %{name} devel tools
Group: System/Libraries


%description tools
This package contains development tools for %{name}.

%package doc
Summary: %{name} documentation
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation of %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-documentation
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*
/usr/lib/libwayland-egl.so.1
/usr/lib/libwayland-egl.so.1.0.0

%files -n %{libname_devel}
%{_includedir}/%{name}-*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/aclocal/%{name}-scanner.m4
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd


%files tools
%{_bindir}/%{name}-scanner

%files doc


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli>
- update for new mesa
